> For the complete documentation index, see [llms.txt](https://weex-1.gitbook.io/en/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://weex-1.gitbook.io/en/restapi/spot-basic-info-endpoints.md).

# Spot Basic Info Endpoints

### Check Server Time <a href="#check-server-time" id="check-server-time"></a>

Rate limit rule: 20 request/2s

**HTTP Request**  Check server time

* GET /api/spot/v1/public/time&#x20;

> **Response**：

```
{
    "code": "00000",
    "msg": "success",
    "requestTime": 1622097118135,
    "data": 1622097118134
}
```

#### Coin Basic Information <a href="#coin-basic-information" id="coin-basic-information"></a>

Rate limit rule: 20 request/2s

**HTTP Request** get all coins information on the platform

* GET /api/spot/v1/public/currencies

> **Response**:

```
{
    "code":"00000",
    "msg":"success",
    "requestTime":1622097139437,
    "data":[
        {
            "coinId":"1",
            "coinName":"BTC",
            "transfer":"true",
            "chains":[
                {
                    "chain":null,
                    "needTag":"false",
                    "withdrawAble":"true",
                    "rechargeAble":"true",
                    "withdrawFee":"0.005",
                    "depositConfirm":"1",
                    "withdrawConfirm":"1",
                    "minDepositAmount":"0.001",
                    "minWithdrawAmount":"0.001",
                    "browserUrl":"https://blockchair.com/bitcoin/testnet/transaction/"
                }
            ]
        },
        {
            "coinId":"2",
            "coinName":"USDT",
            "transfer":"true",
            "chains":[
                {
                    "chain":"ERC20",
                    "needTag":"false",
                    "withdrawAble":"true",
                    "rechargeAble":"true",
                    "withdrawFee":"0.01",
                    "depositConfirm":"12",
                    "withdrawConfirm":"1",
                    "minDepositAmount":"0.1",
                    "minWithdrawAmount":"0.1",
                    "browserUrl":"https://ropsten.etherscan.io/tx/"
                }
            ]
        }
    ]
}
```

**Response Field**

| Field               | Description                          |
| ------------------- | ------------------------------------ |
| coinId              | Currency ID                          |
| coinName            | Currency name                        |
| transfer            | Is it possible to transfer           |
| chains              |                                      |
| > chain             | Chain name                           |
| > needTag           | Is tag needed                        |
| > withdrawAble      | Withdrawable or not                  |
| > rechargeAble      | Is it possible to deposit            |
| > withdrawFee       | Withdrawal fee                       |
| > depositConfirm    | Deposit no. of confirmation block    |
| > withdrawConfirm   | Withdrawal no. of confirmation block |
| > minDepositAmount  | Minimum deposit Amount               |
| > minWithdrawAmount | Minimum withdrawal Amount            |
| > browserUrl        | Blockchain browser url               |

### Get All Coin Pairs Information <a href="#d990beddee" id="d990beddee"></a>

Rate limit rule: 20 request/1s

**HTTP Request** get basic configuration information of all trading pairs

* GET /api/spot/v1/public/products

> **Response**:

```
{
    "code":"00000",
    "msg":"success",
    "requestTime":1622097197283,
    "data":[
        {
            "symbol":"BTCUSDT_SPBL",
            "symbolName":"BTCUSDT",
            "baseCoin":"BTC",
            "quoteCoin":"USDT",
            "minTradeAmount":"0.0001",
            "maxTradeAmount":"10000",
            "takerFeeRate":"0.001",
            "makerFeeRate":"0.001",
            "priceScale":"4",
            "quantityScale":"8",
            "status":"online"
        },
        {
            "symbol":"EOSUSDT_SPBL",
            "symbolName":"EOSUSDT",
            "baseCoin":"EOS",
            "quoteCoin":"USDT",
            "minTradeAmount":"1",
            "maxTradeAmount":"1",
            "takerFeeRate":"1",
            "makerFeeRate":"1",
            "priceScale":"1",
            "quantityScale":"1",
            "status":"online"
        }
    ]
}
```

**Response Field**

| Field          | Description        |
| -------------- | ------------------ |
| symbol         | Coin pair          |
| baseCoin       | Base coin          |
| quoteCoin      | Quote coin         |
| minTradeAmount | Minimum trade size |
| maxTradeAmount | Maximum trade size |
| takerFeeRate   | Taker fee rate     |
| makerFeeRate   | Maker fee rate     |
| priceScale     | Pricing scale      |
| quantityScale  | Quantity scale     |
| status         | Status             |

### Get Coin Pairs Information By Symbol <a href="#id-84a4efea8f" id="id-84a4efea8f"></a>

Rate limit rule: 20 request/1s

**HTTP Request**&#x20;

* GET /api/spot/v1/public/product

**Request parameter**

| Parameters | Type   | Required | Description           |
| ---------- | ------ | -------- | --------------------- |
| symbol     | String | Yes      | Name of Currency pair |

> **Response**:

```
{
    "code":"00000",
    "msg":"success",
    "requestTime":1622097197283,
    "data":[
        {
            "symbol":"BTCUSDT_SPBL",
            "symbolName":"BTCUSDT",
            "baseCoin":"BTC",
            "quoteCoin":"USDT",
            "minTradeAmount":"0.0001",
            "maxTradeAmount":"10000",
            "takerFeeRate":"0.001",
            "makerFeeRate":"0.001",
            "priceScale":"4",
            "quantityScale":"8",
            "status":"online"
        }
    ]
}
```

**Response Field**

| Field          | Description        |
| -------------- | ------------------ |
| symbol         | Currency pair      |
| baseCoin       | Base Currency      |
| quoteCoin      | Quote Currency     |
| minTradeAmount | Minimum trade size |
| maxTradeAmount | Maximum trade size |
| takerFeeRate   | Taker fee rate     |
| makerFeeRate   | Maker fee rate     |
| priceScale     | Pricing scale      |
| quantityScale  | Quantity scale     |
| status         | Status             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://weex-1.gitbook.io/en/restapi/spot-basic-info-endpoints.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
